net.sf.saxon.option.xom

## Class XomUriResolver

- java.lang.Object
- - net.sf.saxon.lib.StandardURIResolver
  - - net.sf.saxon.option.xom.XomUriResolver

- All Implemented Interfaces:
    Serializable, URIResolver, NonDelegatingURIResolver

      public class XomUriResolver
      extends StandardURIResolver

  This class is a URI resolver that loads an XML document found at the relevant URI and builds a XOM tree from it; the XOM tree is then returned as a source object. The main purpose of this class is for testing: any application that works with a Saxon tinytree can be tested against XOM merely by selecting this URIResolver.
  Author:
    Michael H. Kay
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.lib.StandardURIResolver

      `recognizeQueryParameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XomUriResolver(Configuration config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Source` | `resolve(String href, String base)` Resolve a URI

    - ### Methods inherited from class net.sf.saxon.lib.StandardURIResolver

      `getConfiguration, getPlatform, getPTreeSource, queryParametersAreRecognized, setConfiguration, setRecognizeQueryParameters, setSAXInputSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XomUriResolver

          public XomUriResolver(Configuration config)

  - ### Method Detail

    - #### resolve

          public Source resolve(String href,
                       String base)
                         throws XPathException

      Resolve a URI
      Specified by:
        `resolve` in interface `URIResolver`
      Overrides:
        `resolve` in class `StandardURIResolver`
      Parameters:
        `href` - The relative or absolute URI. May be an empty string. May contain a fragment identifier starting with "#", which must be the value of an ID attribute in the referenced XML document.
        `base` - The base URI that should be used. May be null if uri is absolute.
      Returns:
        a Source object representing an XML document
      Throws:
        `XPathException`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.